----------------------------------------------------------------------------------
-- Company:  FE, 2015/2016
-- Engineer: A. Trost
-- 
-- Create Date: 17/11/2015
-- Design Name: Sistem z razsiritveno plosco, VGA
--  clk 50MHz
-- 
-- Revision: 2.0
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity sistem is
	Port( clk : in STD_LOGIC;
			t : in STD_LOGIC_VECTOR(3 DOWNTO 0); -- navigacijske tipke, 3:0 = desno, dol, levo, gor
			clkout : out STD_LOGIC; 				 -- signali V/I plošče
			addr : out STD_LOGIC_VECTOR(1 DOWNTO 0);
			data : inout STD_LOGIC_VECTOR(7 DOWNTO 0)
		 );
end sistem;

architecture opis of sistem is
 component VGA is
  Port ( clk : in STD_LOGIC;					-- 50 MHz ura
         hsync : out  STD_LOGIC;				-- horizontalni in
         vsync : out  STD_LOGIC;				-- vertikalni sinhronizacijski pulz
         x,y: out unsigned(11 downto 0)	-- koordinate trenutne točke
		 );
 end component;
 
 component vmesnik is
	Port(	clk : in std_logic;     
			hsync, vsync: in std_logic;   				-- signali VGA vmesnika
			rgb: in unsigned(5 downto 0);					-- barve VGA vmesnika (6-bit)
			num : in unsigned(3 downto 0);   			-- stevilo za izpis na LED (4-bit)
			key : out unsigned(3 downto 0); 				-- stanje tipk (4-bit)			
			clkout: out std_logic; 							-- signali razsiritvene plosce
			addr : out STD_LOGIC_VECTOR(1 downto 0);
			data : inout STD_LOGIC_VECTOR(7 downto 0)
		 );
 end component;
 
 signal hsync, vsync: std_logic;
 signal x,y: unsigned(11 downto 0); 
 signal num, key: unsigned(3 downto 0);
 
 signal rgb: unsigned(5 downto 0); 
 -- dodaj deklaracije signalov
begin

 U0: vmesnik port map (
		clk => clk,
		hsync => hsync,
		vsync => vsync,
		rgb => rgb,
		num => num,
		key => key,
		clkout => clkout,
		addr => addr,
		data => data  );
		
 U1: VGA port map (
		clk => clk, 
		hsync => hsync, 
		vsync => vsync, 
		x => x, 
		y => y  );
 
----------------------------------------------------------------------------------------------
 num <= key;   -- prikazuj stanje tipk
 
-- dodaj kodo za rgb...

 
end opis;